Summary: Atomicorp Quantum Repository
Name: quantum-release
Version: 1.0
Release: 1.art
License: GPL
Group: System Environment/Base
URL: http://www.atomicorp.com/

Packager:  Scott R. Shinn <scott@atomicorp.com>
Vendor: Atomicorp, http://www.atomicorp.com/

Source0: mirrors-quantum
Source1:	RPM-GPG-KEY.atomicorp.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch


%description
Atomicorp Quantum RPM archive contains open source packages for RPM based distributions, CentOS, Fedora and Red Hat Enterprise Linux.

This package contains the repository GPG key in addition to configuration files for yum.

%prep
#%setup -c 

%build
%{?el7:name='CentOS / Red Hat Enterprise Linux'; version='7'; path="centos"; }
%{?el6:name='CentOS / Red Hat Enterprise Linux'; version='6'; path="centos"; }
%{?el5:name='CentOS / Red Hat Enterprise Linux'; version='5'; path="centos"; }
%{?el4:name='CentOS / Red Hat Enterprise Linux'; version='4'; path="centos"; }
%{?el3:name='CentOS / Red Hat Enterprise Linux'; version='3'; path="centos"; }
%{?fc24:name='Fedora'; version='24'; path="fedora"; }
%{?fc23:name='Fedora'; version='23'; path="fedora"; }
%{?fc22:name='Fedora'; version='22'; path="fedora"; }
%{?fc21:name='Fedora'; version='21'; path="fedora"; }
%{?fc20:name='Fedora'; version='20'; path="fedora"; }
%{?fc19:name='Fedora'; version='19'; path="fedora"; }
%{?fc18:name='Fedora'; version='18'; path="fedora"; }
%{?fc17:name='Fedora'; version='17'; path="fedora"; }
%{?fc16:name='Fedora'; version='16'; path="fedora"; }
%{?fc15:name='Fedora'; version='15'; path="fedora"; }
%{?fc14:name='Fedora'; version='14'; path="fedora"; }
%{?fc13:name='Fedora'; version='13'; path="fedora"; }
%{?fc12:name='Fedora'; version='12'; path="fedora"; }
%{?fc11:name='Fedora'; version='11'; path="fedora"; }
%{?fc10:name='Fedora'; version='10'; path="fedora"; }
%{?fc9:name='Fedora'; version='9'; path="fedora"; }
%{?fc8:name='Fedora'; version='8'; path="fedora"; }
%{?fc7:name='Fedora'; version='7'; path="fedora"; }
%{?fc6:name='Fedora'; version='6'; path="fedora"; }
%{?fc5:name='Fedora'; version='5'; path="fedora"; }
%{?fc4:name='Fedora'; version='4'; path="fedora"; }
%{?fc3:name='Fedora'; version='3'; path="fedora"; }
%{?fc2:name='Fedora'; version='2'; path="fedora"; }
%{?fc1:name='Fedora'; version='1'; path="fedora"; }
%{?rh9:name='Red Hat'; version='9';   path="redhat"; }

#name='CentOS / Red Hat Enterprise Linux'; version='4'; path="centos"; 
#name=''


%{__cat} <<EOF >quantum.repo
[quantum]
name = $name \$releasever - atomic
mirrorlist = http://updates.atomicorp.com/channels/mirrorlist/quantum/$path-\$releasever-\$basearch
enabled = 1
priority = 1
protect = 0
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY.atomicorp.txt
gpgcheck = 1

[quantum-testing]
name = $name \$releasever - atomic - (Testing)
mirrorlist = http://updates.atomicorp.com/channels/mirrorlist/quantum-testing/$path-\$releasever-\$basearch
enabled = 0
priority = 1
protect = 0
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY.atomicorp.txt
gpgcheck = 1
EOF

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0644 %{SOURCE1}  %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY.atomicorp.txt
%{__install} -Dp -m0644 quantum.repo %{buildroot}%{_sysconfdir}/yum.repos.d/quantum.repo



%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/yum.repos.d/
%config %{_sysconfdir}/yum.repos.d/quantum.repo
%dir %{_sysconfdir}/pki/rpm-gpg/
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY.atomicorp.txt


%changelog
* Sat Oct 3 2015 Scott R. Shinn <scott@atomicorp.com> 1.0-1
- Initial release of the quantum repo
